#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	funcparserlib
Summary:	Recursive descent parsing library based on functional combinators
Summary(pl.UTF-8):	Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych
Name:		python-%{module}
Version:	0.3.6
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/funcparserlib/
Source0:	https://files.pythonhosted.org/packages/source/f/funcparserlib/%{module}-%{version}.tar.gz
# Source0-md5:	3aba546bdad5d0826596910551ce37c0
URL:		https://github.com/vlasovskikh/funcparserlib
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Recursive descent parsing library based on functional combinators.

%description -l pl.UTF-8
Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych.

%package -n python3-%{module}
Summary:	Recursive descent parsing library based on functional combinators
Summary(pl.UTF-8):	Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
Recursive descent parsing library based on functional combinators.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
cd build-2/lib
%{__python} -m unittest discover
cd ../..
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
# run tests on 2to3'd sources
cd build-3/lib
%{__python3} -m unittest discover
cd ../..
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README doc/*.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README doc/*.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-funcparserlib.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 3c95b88
- release 2 (by relup.sh)

* Sat Feb 06 2021 Jakub Bogusz <qboosh@pld-linux.org> c82f813
- updated to 0.3.6, added python3- package

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> e273490
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8f3744d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5968174
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3993f43
- automatic change: use py_build/py_install macros

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> 5a5ccf8
- release 1

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> a18e490
- cleanups, adapter

* Mon Aug 01 2011 cieciwa <cieciwa@pld-linux.org> 2a84d31
- updated %Summary and %description.

* Mon Aug 01 2011 cieciwa <cieciwa@pld-linux.org> 4c4d041
- initial.

